> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Stable Coin Payroll By ID

> Name and signature indicate it gets token payroll by id

Not available to API keys yet. It will need `payroll:write` and `banking:read` and `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/get-stable-coin-payroll-by-id
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-stable-coin-payroll-by-id:
    post:
      operationId: getStableCoinPayrollByID
      summary: Get Stable Coin Payroll By ID
      description: >-
        Name and signature indicate it gets token payroll by id


        Not available to API keys yet. It will need `payroll:write` and
        `banking:read` and `compensation:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetStableCoinPayrollByIDRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetStableCoinPayrollByIDResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetStableCoinPayrollByIDRequest:
      type: object
      properties:
        tokenPayrollID:
          type: string
        payrollTypes:
          type: array
          items:
            type: string
            enum:
              - ON_CYCLE
              - OFF_CYCLE
              - INVOICE_PAYMENT
      required:
        - tokenPayrollID
    GetStableCoinPayrollByIDResponse:
      type: object
      properties:
        tokenPayrollID:
          type: string
        paymentBackend:
          type:
            - string
            - 'null'
          enum:
            - LEGACY
            - UNIFIED
            - null
        name:
          type: string
        payPeriodStart:
          type: string
        payPeriodEnd:
          type: string
        payDate:
          type: string
        fiatCurrency:
          type: string
        state:
          type: string
        type:
          type: string
          enum:
            - ON_CYCLE
            - OFF_CYCLE
            - INVOICE_PAYMENT
        isStablecoinOnlySettlement:
          type: boolean
        payrollSyncedSource:
          type: string
        token:
          type: object
          properties:
            tokenTypeID:
              type: string
            tokenName:
              type: string
            tokenIconUrl:
              type: string
            networkName:
              type: string
            networkIconUrl:
              type: string
            networkID:
              type: string
            currencyCode:
              type: string
          required:
            - tokenTypeID
            - tokenName
            - tokenIconUrl
            - networkName
            - networkIconUrl
            - networkID
            - currencyCode
        contributorsInPayroll:
          type: array
          items:
            type: object
            properties:
              contributorInTokenPayrollID:
                type: string
              roleInOrgID:
                type: string
              externalEmployeeID:
                type: string
              contributorName:
                type: string
              payrollCurrencyCode:
                type: string
              totalPayrollAmount:
                type: string
              totalDeductionAmount:
                type: string
              netPayrollAmount:
                type: string
              settlements:
                type: array
                items:
                  type: object
                  properties:
                    contributorInTokenPayrollID:
                      type: string
                    roleInOrgID:
                      type: string
                    token:
                      type: object
                      properties:
                        tokenTypeID:
                          type: string
                        tokenName:
                          type: string
                        tokenIconUrl:
                          type: string
                        networkName:
                          type: string
                        networkIconUrl:
                          type: string
                        networkID:
                          type: string
                        currencyCode:
                          type: string
                      required:
                        - tokenTypeID
                        - tokenName
                        - tokenIconUrl
                        - networkName
                        - networkIconUrl
                        - networkID
                        - currencyCode
                    walletAddress:
                      type: string
                    fiatAmount:
                      type: string
                    tokenAmount:
                      type: string
                    exchangeRate:
                      type: string
                    exchangeRateSource:
                      type: string
                      enum:
                        - COINMARKETCAP
                        - ORACLE_ERP
                        - CUSTOM
                        - XE
                        - PEGGED
                    currencyCode:
                      type: string
                    settlementOrderForContributorTokenPayrollID:
                      type: string
                    dateCreated:
                      type: string
                    exchangeRateRefetchedAt:
                      type: string
                    settled:
                      type: boolean
                    transactionHash:
                      type: string
                    transactionLink:
                      type: string
                    dateFulfilled:
                      type: string
                    deductionsPosted:
                      type: boolean
                    exportedAt:
                      type: string
                    submitVia:
                      type: string
                      enum:
                        - SQUADS
                        - BRIDGE
                        - COINBASE_PRIME
                        - FIREBLOCKS
                        - FORDEFI
                    dateProposed:
                      type: string
                    pendingTransaction:
                      type: object
                      properties:
                        tokenSettlementForContributorSubmittedTransactionID:
                          type: string
                        status:
                          type: string
                        linkToTransaction:
                          type: string
                        type:
                          type: string
                          enum:
                            - SQUADS
                            - BRIDGE
                            - COINBASE_PRIME
                            - FIREBLOCKS
                            - FORDEFI
                        aprovedOnDate:
                          type:
                            - string
                            - 'null'
                        rejectedOnDate:
                          type:
                            - string
                            - 'null'
                        createdAt:
                          type: string
                        coinbasePrimeDetails:
                          type: object
                          properties:
                            primeTransactionID:
                              type: string
                            portfolioID:
                              type: string
                            walletID:
                              type: string
                            linkToBlockExplorer:
                              type: string
                          required:
                            - primeTransactionID
                            - portfolioID
                            - walletID
                            - linkToBlockExplorer
                        squadsDetails:
                          type: object
                          properties:
                            transactionIndex:
                              type: integer
                            transactionProposal:
                              type: string
                            linkToBlockExplorer:
                              type: string
                          required:
                            - transactionIndex
                            - transactionProposal
                            - linkToBlockExplorer
                        fordefiDetails:
                          type: object
                          properties:
                            attemptID:
                              type: string
                            attemptNumber:
                              type: integer
                            state:
                              type: string
                            providerTransactionID:
                              type:
                                - string
                                - 'null'
                            providerState:
                              type:
                                - string
                                - 'null'
                            transactionHash:
                              type:
                                - string
                                - 'null'
                            explorerUrl:
                              type:
                                - string
                                - 'null'
                            errorMessage:
                              type:
                                - string
                                - 'null'
                            custodyWalletID:
                              type:
                                - string
                                - 'null'
                            providerVaultID:
                              type: string
                            chainID:
                              type: string
                          required:
                            - attemptID
                            - attemptNumber
                            - state
                            - providerTransactionID
                            - providerState
                            - transactionHash
                            - explorerUrl
                            - errorMessage
                            - custodyWalletID
                            - providerVaultID
                            - chainID
                      required:
                        - tokenSettlementForContributorSubmittedTransactionID
                        - status
                        - linkToTransaction
                        - type
                        - aprovedOnDate
                        - rejectedOnDate
                        - createdAt
                  required:
                    - contributorInTokenPayrollID
                    - roleInOrgID
                    - token
                    - walletAddress
                    - fiatAmount
                    - tokenAmount
                    - exchangeRate
                    - currencyCode
                    - settled
              payrollAllocationErrors:
                type: array
                items:
                  type: object
                  properties:
                    contributorInTokenPayrollID:
                      type: string
                    error:
                      type: string
                    computedSettlement:
                      type: object
                      properties:
                        contributorInTokenPayrollID:
                          type: string
                        roleInOrgID:
                          type: string
                        token:
                          type: object
                          properties:
                            tokenTypeID:
                              type: string
                            tokenName:
                              type: string
                            tokenIconUrl:
                              type: string
                            networkName:
                              type: string
                            networkIconUrl:
                              type: string
                            networkID:
                              type: string
                            currencyCode:
                              type: string
                          required:
                            - tokenTypeID
                            - tokenName
                            - tokenIconUrl
                            - networkName
                            - networkIconUrl
                            - networkID
                            - currencyCode
                        walletAddress:
                          type: string
                        fiatAmount:
                          type: string
                        tokenAmount:
                          type: string
                        exchangeRate:
                          type: string
                        exchangeRateSource:
                          type: string
                          enum:
                            - COINMARKETCAP
                            - ORACLE_ERP
                            - CUSTOM
                            - XE
                            - PEGGED
                        currencyCode:
                          type: string
                        settlementOrderForContributorTokenPayrollID:
                          type: string
                        dateCreated:
                          type: string
                        exchangeRateRefetchedAt:
                          type: string
                        settled:
                          type: boolean
                        transactionHash:
                          type: string
                        transactionLink:
                          type: string
                        dateFulfilled:
                          type: string
                        deductionsPosted:
                          type: boolean
                        exportedAt:
                          type: string
                        submitVia:
                          type: string
                          enum:
                            - SQUADS
                            - BRIDGE
                            - COINBASE_PRIME
                            - FIREBLOCKS
                            - FORDEFI
                        dateProposed:
                          type: string
                        pendingTransaction:
                          type: object
                          properties:
                            tokenSettlementForContributorSubmittedTransactionID:
                              type: string
                            status:
                              type: string
                            linkToTransaction:
                              type: string
                            type:
                              type: string
                              enum:
                                - SQUADS
                                - BRIDGE
                                - COINBASE_PRIME
                                - FIREBLOCKS
                                - FORDEFI
                            aprovedOnDate:
                              type:
                                - string
                                - 'null'
                            rejectedOnDate:
                              type:
                                - string
                                - 'null'
                            createdAt:
                              type: string
                            coinbasePrimeDetails:
                              type: object
                              properties:
                                primeTransactionID:
                                  type: string
                                portfolioID:
                                  type: string
                                walletID:
                                  type: string
                                linkToBlockExplorer:
                                  type: string
                              required:
                                - primeTransactionID
                                - portfolioID
                                - walletID
                                - linkToBlockExplorer
                            squadsDetails:
                              type: object
                              properties:
                                transactionIndex:
                                  type: integer
                                transactionProposal:
                                  type: string
                                linkToBlockExplorer:
                                  type: string
                              required:
                                - transactionIndex
                                - transactionProposal
                                - linkToBlockExplorer
                            fordefiDetails:
                              type: object
                              properties:
                                attemptID:
                                  type: string
                                attemptNumber:
                                  type: integer
                                state:
                                  type: string
                                providerTransactionID:
                                  type:
                                    - string
                                    - 'null'
                                providerState:
                                  type:
                                    - string
                                    - 'null'
                                transactionHash:
                                  type:
                                    - string
                                    - 'null'
                                explorerUrl:
                                  type:
                                    - string
                                    - 'null'
                                errorMessage:
                                  type:
                                    - string
                                    - 'null'
                                custodyWalletID:
                                  type:
                                    - string
                                    - 'null'
                                providerVaultID:
                                  type: string
                                chainID:
                                  type: string
                              required:
                                - attemptID
                                - attemptNumber
                                - state
                                - providerTransactionID
                                - providerState
                                - transactionHash
                                - explorerUrl
                                - errorMessage
                                - custodyWalletID
                                - providerVaultID
                                - chainID
                          required:
                            - >-
                              tokenSettlementForContributorSubmittedTransactionID
                            - status
                            - linkToTransaction
                            - type
                            - aprovedOnDate
                            - rejectedOnDate
                            - createdAt
                      required:
                        - contributorInTokenPayrollID
                        - roleInOrgID
                        - token
                        - walletAddress
                        - fiatAmount
                        - tokenAmount
                        - exchangeRate
                        - currencyCode
                        - settled
                  required:
                    - contributorInTokenPayrollID
                    - error
                    - computedSettlement
              tokenTypeID:
                type: string
              tokenType:
                type: object
                properties:
                  tokenTypeID:
                    type: string
                  tokenName:
                    type: string
                  tokenIconUrl:
                    type: string
                  networkName:
                    type: string
                  networkIconUrl:
                    type: string
                  networkID:
                    type: string
                  currencyCode:
                    type: string
                required:
                  - tokenTypeID
                  - tokenName
                  - tokenIconUrl
                  - networkName
                  - networkIconUrl
                  - networkID
                  - currencyCode
              availableWalletTokens:
                type: array
                items:
                  type: object
                  properties:
                    tokenTypeID:
                      type: string
                    tokenName:
                      type: string
                    tokenIconUrl:
                      type: string
                    networkName:
                      type: string
                    networkIconUrl:
                      type: string
                    networkID:
                      type: string
                  required:
                    - tokenTypeID
                    - tokenName
                    - tokenIconUrl
                    - networkName
                    - networkIconUrl
                    - networkID
              hasWalletForSelectedToken:
                type: boolean
              positionID:
                type: string
              payrollGroup:
                type: string
              walletVerified:
                type: boolean
              approved:
                type: boolean
              isPassedCutoffDate:
                type: boolean
              isTerminated:
                type: boolean
            required:
              - contributorInTokenPayrollID
              - roleInOrgID
              - externalEmployeeID
              - contributorName
              - payrollCurrencyCode
              - totalPayrollAmount
              - totalDeductionAmount
              - netPayrollAmount
              - settlements
              - payrollAllocationErrors
              - walletVerified
              - approved
              - isPassedCutoffDate
              - isTerminated
        settlementMethod:
          type: string
          enum:
            - manual
            - propose
        fundingEmailSent:
          type: boolean
        adpDeductionsVerified:
          type: boolean
        payrollIntegrationEntityId:
          type:
            - string
            - 'null'
        resolvedFireblocksConfig:
          type:
            - object
            - 'null'
          properties:
            configSource:
              type: string
              enum:
                - entity
                - org
            vaultAccountId:
              type: string
            entityName:
              type:
                - string
                - 'null'
          required:
            - configSource
            - vaultAccountId
            - entityName
      required:
        - tokenPayrollID
        - paymentBackend
        - name
        - payPeriodStart
        - payPeriodEnd
        - payDate
        - fiatCurrency
        - state
        - type
        - isStablecoinOnlySettlement
        - contributorsInPayroll
        - settlementMethod
        - fundingEmailSent
        - adpDeductionsVerified
        - payrollIntegrationEntityId
        - resolvedFireblocksConfig
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
